GCubeGisViewerServiceAsync (gCube GIS Viewer Widget 2.6.0-SNAPSHOT API)
Date: 2015-11-03

org.gcube.portlets.user.gcubegisviewer.client

## Interface GCubeGisViewerServiceAsync

-     public interface GCubeGisViewerServiceAsync

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getBaseLayersToGisViewer(com.google.gwt.user.client.rpc.AsyncCallback<List<? extends org.gcube.portlets.user.gisviewer.client.commons.beans.GisViewerBaseLayerInterface>> callback)`
    `void` | `getDataResult(List<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItem> layerItems, String bbox, com.google.gwt.user.client.rpc.AsyncCallback<List<org.gcube.portlets.user.gisviewer.client.commons.beans.WfsTable>> asyncCallback)`
    `void` | `getDataResult(List<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItem> layerItems, String bbox, int maxWFSFeature, com.google.gwt.user.client.rpc.AsyncCallback<List<org.gcube.portlets.user.gisviewer.client.commons.beans.WfsTable>> callback)`
    `void` | `getDataResult(List<String> urls, com.google.gwt.user.client.rpc.AsyncCallback<List<org.gcube.portlets.user.gisviewer.client.commons.beans.DataResult>> callback)`
    `void` | `getGroupsInfo(String groupName, com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItemsResult> callback)`
    `void` | `getLayersInfo(List<String> layersName, com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItemsResult> callback)`
    `void` | `getLayersInfoByLayerItems(List<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItem> layerItems, com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItemsResult> asyncCallback)`
    `void` | `getListProperty(String geoserverUrl, org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItem layer, com.google.gwt.user.client.rpc.AsyncCallback<List<org.gcube.portlets.user.gisviewer.client.commons.beans.Property>> callback)`
    `void` | `getTransectParameters(com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.user.gisviewer.client.commons.beans.TransectParameters> callback)`
    `void` | `parseWmsRequest(org.gcube.portlets.user.gisviewer.client.commons.beans.WmsRequest request, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
    `void` | `saveLayerItem(String name, String mimeType, String url, String destinationFolderId, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
    `void` | `saveMapImageItem(String name, String outputFormat, Map<String,String> parameters, String id, com.google.gwt.user.client.rpc.AsyncCallback<Void> asyncCallback)`
    `void` | `saveMapImageItem(String name, String mimeType, String bbox, String width, String height, String[] geoservers, String[] layers, String[] styles, String[] opacities, String[] cqlfilters, String[] gsrefs, String destinationFolderId, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`

- - ### Method Detail

    - #### getDataResult

          void getDataResult(List<String> urls,
                           com.google.gwt.user.client.rpc.AsyncCallback<List<org.gcube.portlets.user.gisviewer.client.commons.beans.DataResult>> callback)

      See Also:
        `GisViewerService.getDataResult(java.util.List)`

    - #### getGroupsInfo

          void getGroupsInfo(String groupName,
                           com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItemsResult> callback)

      See Also:
        `GisViewerService.getGroupsInfo(java.lang.String)`

    - #### getTransectParameters

          void getTransectParameters(com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.user.gisviewer.client.commons.beans.TransectParameters> callback)

    - #### getLayersInfo

          void getLayersInfo(List<String> layersName,
                           com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItemsResult> callback)

      See Also:
        `GisViewerService.getLayersInfo(java.util.List)`

    - #### getLayersInfoByLayerItems

          void getLayersInfoByLayerItems(List<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItem> layerItems,
                                       com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItemsResult> asyncCallback)

    - #### getDataResult

          void getDataResult(List<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItem> layerItems,
                           String bbox,
                           com.google.gwt.user.client.rpc.AsyncCallback<List<org.gcube.portlets.user.gisviewer.client.commons.beans.WfsTable>> asyncCallback)

    - #### saveLayerItem

          void saveLayerItem(String name,
                           String mimeType,
                           String url,
                           String destinationFolderId,
                           com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

    - #### saveMapImageItem

          void saveMapImageItem(String name,
                              String mimeType,
                              String bbox,
                              String width,
                              String height,
                              String[] geoservers,
                              String[] layers,
                              String[] styles,
                              String[] opacities,
                              String[] cqlfilters,
                              String[] gsrefs,
                              String destinationFolderId,
                              com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

    - #### getListProperty

          void getListProperty(String geoserverUrl,
                             org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItem layer,
                             com.google.gwt.user.client.rpc.AsyncCallback<List<org.gcube.portlets.user.gisviewer.client.commons.beans.Property>> callback)

    - #### getDataResult

          void getDataResult(List<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItem> layerItems,
                           String bbox,
                           int maxWFSFeature,
                           com.google.gwt.user.client.rpc.AsyncCallback<List<org.gcube.portlets.user.gisviewer.client.commons.beans.WfsTable>> callback)

    - #### getBaseLayersToGisViewer

          void getBaseLayersToGisViewer(com.google.gwt.user.client.rpc.AsyncCallback<List<? extends org.gcube.portlets.user.gisviewer.client.commons.beans.GisViewerBaseLayerInterface>> callback)

    - #### parseWmsRequest

          void parseWmsRequest(org.gcube.portlets.user.gisviewer.client.commons.beans.WmsRequest request,
                             com.google.gwt.user.client.rpc.AsyncCallback<String> callback)

    - #### saveMapImageItem

          void saveMapImageItem(String name,
                              String outputFormat,
                              Map<String,String> parameters,
                              String id,
                              com.google.gwt.user.client.rpc.AsyncCallback<Void> asyncCallback)

      Parameters:
        `name` -
        `outputFormat` -
        `parameters` -
        `id` -
        `asyncCallback` -

Copyright © 2015. All Rights Reserved.